import 'package:firebase_analytics/firebase_analytics.dart';
import 'dart:developer';
import 'package:flutter/foundation.dart';

class FirebaseHelper {
  static Future<void> logEvent(String name, Map<String, Object> parameters) async {
    log("FirebaseHelper logEvent: $name, $parameters");
    try {
      await FirebaseAnalytics.instance.logEvent(name: name, parameters: parameters);
    } on Exception catch (e) {
      debugPrint(e.toString());
    }
  }
}
